package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF485Data {

    private Map<String, Object> params;
    
    public MWF485Data(Map<String, Object> params) {
        this.params = params;
    }

    public java.util.Date rsAuthdate() {
        return (java.util.Date) params.get("RS_AUTHDATE");
    }

    public java.util.Date rsAuthtime() {
        return (java.util.Date) params.get("RS_AUTHTIME");
    }

    public Double rsAuthamt() {
        return (Double) params.get("RS_AUTHAMT");
    }

    public String rsAuthresp() {
        return (String) params.get("RS_AUTHRESP");
    }

    public String rsAuthreason() {
        return (String) params.get("RS_AUTHREASON");
    }

    public String rsReqtype() {
        return (String) params.get("RS_REQTYPE");
    }

    public String rsRevind() {
        return (String) params.get("RS_REVIND");
    }

    public Double rsCreditplan() {
        return (Double) params.get("RS_CREDITPLAN");
    }

    public Double rsSkunbr() {
        return (Double) params.get("RS_SKUNBR");
    }

    public Double rsTotsalesamt() {
        return (Double) params.get("RS_TOTSALESAMT");
    }

    public String rsTotsalesamts() {
        return (String) params.get("RS_TOTSALESAMTS");
    }

    public Double rsOffdownpmt() {
        return (Double) params.get("RS_OFFDOWNPMT");
    }

    public String rsOffdownpmts() {
        return (String) params.get("RS_OFFDOWNPMTS");
    }

    public Double rsDownpmtused() {
        return (Double) params.get("RS_DOWNPMTUSED");
    }

    public String rsDownpmtuseds() {
        return (String) params.get("RS_DOWNPMTUSEDS");
    }

    public String rsAction() {
        return (String) params.get("RS_ACTION");
    }

    public String rsAuthid() {
        return (String) params.get("RS_AUTHID");
    }

    public String rsAuthtype() {
        return (String) params.get("RS_AUTHTYPE");
    }

    public String rsCardnbr() {
        return (String) params.get("RS_CARDNBR");
    }

    public Double rsCardseq() {
        return (Double) params.get("RS_CARDSEQ");
    }

    public Long rsTxnrectype() {
        return (Long) params.get("RS_TXNRECTYPE");
    }

    public String rsSourcefile() {
        return (String) params.get("RS_SOURCEFILE");
    }

    public String rsTidbinicafid() {
        return (String) params.get("RS_TIDBINICAFID");
    }

    public Double rsDaycd() {
        return (Double) params.get("RS_DAYCD");
    }

    public String rsDesc() {
        return (String) params.get("RS_DESC");
    }

    public String rsReference() {
        return (String) params.get("RS_REFERENCE");
    } 

}
